Package com.xebialabs.xlrelease.builder

## Class ConfigurationBuilder$

- java.lang.Object
- - com.xebialabs.xlrelease.builder.ConfigurationBuilder$

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ConfigurationBuilder$
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ConfigurationBuilder$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationBuilder$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `$lessinit$greater$default$2()` |
    `java.lang.String` | `$lessinit$greater$default$3()` |
    `java.lang.String` | `$lessinit$greater$default$4()` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.Object>` | `$lessinit$greater$default$5()` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.String>` | `$lessinit$greater$default$6()` |
    `ConfigurationBuilder` | `apply​(Type configType, java.lang.String id, java.lang.String title, java.lang.String folderId, scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties, scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping)` |
    `java.lang.String` | `apply$default$2()` |
    `java.lang.String` | `apply$default$3()` |
    `java.lang.String` | `apply$default$4()` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.Object>` | `apply$default$5()` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.String>` | `apply$default$6()` |
    `ConfigurationBuilder` | `newConfiguration​(java.lang.String configType)` |
    `scala.Option<scala.Tuple6<Type,​java.lang.String,​java.lang.String,​java.lang.String,​scala.collection.immutable.Map<java.lang.String,​java.lang.Object>,​scala.collection.immutable.Map<java.lang.String,​java.lang.String>>>` | `unapply​(ConfigurationBuilder x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final ConfigurationBuilder$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ConfigurationBuilder$

          public ConfigurationBuilder$()

  - ### Method Detail

    - #### $lessinit$greater$default$2

          public java.lang.String $lessinit$greater$default$2()

    - #### $lessinit$greater$default$3

          public java.lang.String $lessinit$greater$default$3()

    - #### $lessinit$greater$default$4

          public java.lang.String $lessinit$greater$default$4()

    - #### $lessinit$greater$default$5

          public scala.collection.immutable.Map<java.lang.String,​java.lang.Object> $lessinit$greater$default$5()

    - #### $lessinit$greater$default$6

          public scala.collection.immutable.Map<java.lang.String,​java.lang.String> $lessinit$greater$default$6()

    - #### newConfiguration

          public ConfigurationBuilder newConfiguration​(java.lang.String configType)

    - #### apply

          public ConfigurationBuilder apply​(Type configType,
                                            java.lang.String id,
                                            java.lang.String title,
                                            java.lang.String folderId,
                                            scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties,
                                            scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping)

    - #### apply$default$2

          public java.lang.String apply$default$2()

    - #### apply$default$3

          public java.lang.String apply$default$3()

    - #### apply$default$4

          public java.lang.String apply$default$4()

    - #### apply$default$5

          public scala.collection.immutable.Map<java.lang.String,​java.lang.Object> apply$default$5()

    - #### apply$default$6

          public scala.collection.immutable.Map<java.lang.String,​java.lang.String> apply$default$6()

    - #### unapply

          public scala.Option<scala.Tuple6<Type,​java.lang.String,​java.lang.String,​java.lang.String,​scala.collection.immutable.Map<java.lang.String,​java.lang.Object>,​scala.collection.immutable.Map<java.lang.String,​java.lang.String>>> unapply​(ConfigurationBuilder x$0)